## Overview
This package contains an application to report details of a DisplayLink Universal Docking Station that is plugged into a user's machine.

## Licence
This version is for evaluation purposes only

## Installation
The package contains both 32-bit and 64-bit applications, in the `Win32` and `x64` sub-directories. Copy
the relevant `DisplayLinkAnalytics.exe` into a desired directory location. We recommend that this
is not in the standard DisplayLink install directory (`c:\Program Files\DisplayLink Core`), since
DisplayLink's installers may remove it on upgrade.

	
### Running the app
Open a command prompt and execute as follows:</br> 
```
DisplayLinkAnalytics.exe 
```

### Output

The messages are output to standard output (`stdout`) and formatted using the well-known data serialisation
standard, YAML.[^footnote]
[^footnote]: [YAML Ain't Markup Language](http://yaml.org).

Running the application while a dock is connected to the host computer causes a message to be
emitted in the form:

```yaml
---
-
  event_type: DisplayLink Dock Connected
  dock: 
    mac_address: 9c:eb:e8:55:e7:bb
    fw_version: 10.0.43
  host: 
    computer_name: Robert-PC
    mac_address: 9c:eb:e8:21:12:3e
```

The MAC address associated with the dock is the Unique-Per-Device address that is typically printed on the case of the dock. The reported firmware version
is that of the DisplayLink chip.

Running the application while there is no dock connected causes an empty message to be emitted:

```yaml
---
```

